Description

Some of the values of the host POST create request in API v2 are required yet they are marked in the examples as not required.

Discovered in a thread in Foreman-users - https://groups.google.com/forum/#!topic/foreman-users/vMMCHy_4DpM

Related issues:

Related to Foreman - Bug #7332: Host Create API documentation missing require... Closed 09/03/2014

History

#1 - 08/08/2014 05:11 AM - Dominic Cleal

environment_id is the only one that can be marked required I believe, as all of the others are dynamic depending on the type of host.

EDIT: and you can't even set that, as hostgroup_id can supply environment_id.  I'm not really sure what else it's possible to do here.

#2 - 09/03/2014 04:23 AM - Dominic Cleal

- Related to Bug #7332: Host Create API documentation missing required parameters added

#3 - 09/03/2014 04:34 AM - Dominic Cleal

- Status changed from New to Duplicate

#7332 is going to try adding text descriptions.
